Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 365479 - net-libs/glib-networking causes polkitd to fail acquiring name, and KDE 4.6.2 not starting
Summary: net-libs/glib-networking causes polkitd to fail acquiring name, and KDE 4.6.2...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: Normal critical with 4 votes (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 365637 366349 366411 366429 366639 (view as bug list)
Depends on: 366791
Blocks:
  Show dependency tree
 
Reported: 2011-04-30 23:45 UTC by Tomasz Figa
Modified: 2012-01-13 18:27 UTC (History)
51 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Output of strace /usr/libexec/polkitd (strace.out,69.35 KB, text/plain)
2011-05-02 11:38 UTC, Tomasz Figa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Figa 2011-04-30 23:45:25 UTC
After emerging net-libs/glib-networking (due to system update) polkit ceases to work correctly, hanging on getting a name.

Removing glib-networking fixes the problem.

Reproducible: Always

Steps to Reproduce:
1.Configure your system to use polkit.
2.Emerge net-libs/glib-networking.
3.Start /usr/libexec/polkitd manually to see its output.
Actual Results:  
Flatron ~ # /usr/libexec/polkitd
Entering main event loop
Connected to the system bus
Registering null backend at priority -10

(polkitd:5689): GLib-GIO-WARNING **: Tried to implement non-registered extension point polkit-backend-action-lookup-1
** (polkitd:5689): DEBUG: Added `/var/lib/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/etc/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/var/lib/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/etc/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/var/lib/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/etc/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/var/lib/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/etc/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/var/lib/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:5689): DEBUG: Added `/etc/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:5689): DEBUG: Monitoring `/var/lib/polkit-1/localauthority' for changes
** (polkitd:5689): DEBUG: Monitoring `/etc/polkit-1/localauthority' for changes
Using authority class PolkitBackendLocalAuthority

=== Hangs there. ===

Expected Results:  
Flatron ~ # /usr/libexec/polkitd
Entering main event loop
Connected to the system bus
Registering null backend at priority -10

(polkitd:5816): GLib-GIO-WARNING **: Tried to implement non-registered extension point polkit-backend-action-lookup-1
** (polkitd:5816): DEBUG: Added `/var/lib/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/etc/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/var/lib/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/etc/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/var/lib/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/etc/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/var/lib/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/etc/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/var/lib/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:5816): DEBUG: Added `/etc/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:5816): DEBUG: Monitoring `/var/lib/polkit-1/localauthority' for changes
** (polkitd:5816): DEBUG: Monitoring `/etc/polkit-1/localauthority' for changes
Using authority class PolkitBackendLocalAuthority
Acquired the name org.freedesktop.PolicyKit1

=== Continues working normally. ===
Comment 1 Tomasz Figa 2011-04-30 23:46:38 UTC
Flatron ~ # emerge --info
Portage 2.2.0_alpha30 (default/linux/amd64/10.0, gcc-4.5.2, libc-0-r0, 2.6.38-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.38-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.2
Timestamp of tree: Sat, 30 Apr 2011 22:45:01 +0000
ccache version 3.1.4 [enabled]
app-shells/bash:     4.2_p8-r1
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/ccache:     3.1.4
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.81-r2
sys-kernel/linux-headers: 2.6.38
sys-libs/glibc:      2.13-r2
virtual/os-headers:  0
Repositories: gentoo roslin mozilla tom3q
Installed sets:
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 AdobeFlash-10.1 ut2003 sun-bcla-jta"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -floop-interchange -floop-strip-mine -floop-block"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe -floop-interchange -floop-strip-mine -floop-block"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://ftp.vectranet.pl/gentoo/ http://gentoo.mirror.pw.edu.pl/ http://gentoo.prz.rzeszow.pl http://gentoo.po.opole.pl ftp://ftp.vectranet.pl/gentoo/ ftp://gentoo.po.opole.pl "
LANG="pl_PL.UTF-8"
LC_ALL="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/roslin /var/lib/layman/mozilla /usr/local/portage/tom3q"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="64bit X a52 aac acl acpi alsa amd64 animgif audiofile automount avahi bash-completion bazaar berkdb binary-drivers boost branding bzip2 cairo caps cdr chm cleartype cli client colordiff consolekit corefonts cpio cracklib crypt css ctype cue cups cupsddk curl curlwrappers cvs cxx dbus declarative device-mapper dhcpcd dri dso dts dv dvd dvdr encode exif expat fam fat fbcon fbcondecor fbsplash ffmpeg flac fontconfig fortran fuse gallium gdbm gdu gif git glib glitz glut gmp gnutls gpm graphite grub gstreamer gtk gzip html icons iconv icu id3 id3tag ieee1394 imap ipv6 java java6 javascript jpeg kde kipi lcdfilter libnotify libsamplerate libssh2 lm_sensors logrotate lua lua-cairo lua-imlib lzma lzo mad matroska mdnsresponder-compat mikmod mmap mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib musepack ncurses nls nptl nptlonly nsplugin ntfs ogg openal openexr opengl openmp openvg pam pcre pdf perl phonon plasma png policykit ppds pppd pulseaudio python python3 qt3support qt4 rar readline samba sdl semantic-desktop server session slp smbclient smp sound sqlite sqlite3 sse sse2 sse3 ssh ssl ssse3 subversion svg sysfs tcpd theora threads threadsafe truetype udev unicode upnp usb vaapi vorbis wav webkit winetools winetriks wma wmf x264 x86emu xcb xcomposite xft xml xmp xorg xpm xv xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Tomasz Figa 2011-04-30 23:48:27 UTC
Consolekit reporting that polkit failed:

====

May  1 01:28:34 Flatron polkitd[5171]: started daemon version 0.101 using authority implementation `local' version `0.101'
May  1 01:28:35 Flatron dhcpcd[5184]: eth0: leased 192.168.1.2 for infinity
May  1 01:28:35 Flatron dhcpcd[5184]: forked to background, child pid 5285
May  1 01:28:35 Flatron netplugd[4863]: eth0: state INNING pid 5027 exited status 0
May  1 01:28:54 Flatron console-kit-daemon[5029]: WARNING: polkit_authority_get: Error getting authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: Timeout was reached
May  1 01:28:54 Flatron console-kit-daemon[5327]: WARNING: polkit_authority_get: Error getting authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Activation of org.freedesktop.PolicyKit1 timed out
May  1 01:28:54 Flatron console-kit-daemon[5327]: WARNING: Failed to acquire org.freedesktop.ConsoleKit
May  1 01:28:54 Flatron console-kit-daemon[5327]: WARNING: Could not acquire name; bailing out
Comment 3 Gilles Dartiguelongue gentoo-dev 2011-05-02 09:28:49 UTC
Could you strace and print a backtrace with gdb of polkitd when it is stalled ?
Comment 4 Tomasz Figa 2011-05-02 11:35:29 UTC
GDB output with backtrace:

===

Flatron ~ # gdb /usr/libexec/polkitd
GNU gdb (Gentoo 7.2 p1) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/libexec/polkitd...done.
(gdb) run
Starting program: /usr/libexec/polkitd
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff5cf1700 (LWP 3498)]
Entering main event loop
[New Thread 0x7ffff54f0700 (LWP 3499)]
Connected to the system bus
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.2/libstdc++.so.6.0.14-gdb.py", line 59, in <module>
    from libstdcxx.v6.printers import register_libstdcxx_printers
ImportError: No module named libstdcxx.v6.printers
Registering null backend at priority -10

(polkitd:3495): GLib-GIO-WARNING **: Tried to implement non-registered extension point polkit-backend-action-lookup-1
** (polkitd:3495): DEBUG: Added `/var/lib/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/etc/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/var/lib/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/etc/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/var/lib/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/etc/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/var/lib/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/etc/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/var/lib/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:3495): DEBUG: Added `/etc/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:3495): DEBUG: Monitoring `/var/lib/polkit-1/localauthority' for changes
** (polkitd:3495): DEBUG: Monitoring `/etc/polkit-1/localauthority' for changes
Using authority class PolkitBackendLocalAuthority
^Z
Program received signal SIGTSTP, Stopped (user).
0x00007ffff743162c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
(gdb) backtrace
#0  0x00007ffff743162c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff714f337 in g_main_context_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff71509e4 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff7151162 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#4  0x00000000004016b4 in main (argc=1, argv=0x7fffffffdfc8) at main.c:142
Comment 5 Tomasz Figa 2011-05-02 11:38:52 UTC
Created attachment 271869 [details]
Output of strace /usr/libexec/polkitd

Attached strace results.
Comment 6 Mark 2011-05-05 20:09:50 UTC
I had the exact same problem and removing glib-networking fixes it.  The problem drove my CPUs to the max because the four gnome-keyring daemons kept looking for something.

Thanks for the fix thomasz.
Comment 7 Andreas K. Hüttel gentoo-dev 2011-05-06 21:57:49 UTC
*** Bug 365637 has been marked as a duplicate of this bug. ***
Comment 8 Andreas K. Hüttel gentoo-dev 2011-05-06 22:00:00 UTC
See bug 365637 for a lot more info
Comment 9 Rafał Mużyło 2011-05-07 15:34:18 UTC
*** Bug 366349 has been marked as a duplicate of this bug. ***
Comment 10 Graham Murray 2011-05-07 17:06:45 UTC
(In reply to comment #6)
> I had the exact same problem and removing glib-networking fixes it.  The
> problem drove my CPUs to the max because the four gnome-keyring daemons kept
> looking for something.
> 
> Thanks for the fix thomasz.

Removing glib-networking is not really an option. net-libs/libsoup-2.34.1 depends on it and several other packages depend on libsoup. This is currently (as reported in Bug 366349) preventing the upgrading to kde-4.6.3.
Comment 11 Zac Medico gentoo-dev 2011-05-07 17:17:21 UTC
(In reply to comment #10)
> Removing glib-networking is not really an option. net-libs/libsoup-2.34.1
> depends on it and several other packages depend on libsoup. This is currently
> (as reported in Bug 366349) preventing the upgrading to kde-4.6.3.

Maybe something like this in /etc/portage/package.mask will serve as a temporary workaround:

# bug #365479 - libsoup pulls in glib-networking which breaks stuff
>=net-libs/libsoup-2.34.1
>=net-libs/libsoup-gnome-2.34.1
Comment 12 Steffen Schaumburg 2011-05-07 17:31:47 UTC
Remember that blocking those versions of libsoup/libsoup-gnome is sufficient - the last version doesn't depend on glib-network.
Comment 13 Pacho Ramos gentoo-dev 2011-05-07 17:33:36 UTC
I guess you have tried to rebuild polkit after updating, no?
Comment 14 tman 2011-05-07 17:47:29 UTC
well i have installes gnome and kde, so i got this blocking:
[nomerge      ] gnome-base/gnome-3.0.0  USE="cdr cups extras fallback" 
[nomerge      ]  gnome-base/gdm-3.0.0-r1  USE="accessibility consolekit gnome-keyring ipv6 tcpd xinerama xklavier -debug (-selinux) -test" 
[ebuild     UD]   x11-wm/metacity-2.30.3 [2.34.0] USE="xinerama -test" 
[ebuild     U ] www-client/chromium-11.0.696.65 [11.0.696.57] USE="cups gnome gnome-keyring -test" 
[nomerge      ] www-client/uzbl-2011.04.12  USE="browser helpers tabbed vim-syntax" 
[nomerge      ]  net-libs/libsoup-2.34.1  USE="introspection ssl -debug -doc -test" 
[ebuild  N    ]   net-libs/glib-networking-2.28.6.1  USE="gnome libproxy ssl" 
[ebuild     U ] x11-base/xorg-server-1.10.1.901 [1.10.1] USE="dmx ipv6 kdrive nptl udev xorg -doc -minimal -static-libs -tslib" 
[ebuild     U ]  x11-libs/libXext-1.3.0 [1.2.0] USE="-doc -static-libs" 
[blocks B     ] net-libs/glib-networking ("net-libs/glib-networking" is blocking kde-base/kdelibs-4.6.3)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (net-libs/glib-networking-2.28.6.1::gentoo, ebuild scheduled for merge) pulled in by
    net-libs/glib-networking[ssl] required by (net-libs/libsoup-2.34.1::gentoo, installed)

  (kde-base/kdelibs-4.6.3::gentoo, installed) pulled in by
    >=kde-base/kdelibs-4.6.3[-aqua,-kdeprefix] required by (kde-base/khelpcenter-4.6.3::gentoo, installed)
    >=kde-base/kdelibs-4.3 required by (net-libs/libproxy-0.4.6-r300::gnome, installed)
    >=kde-base/kdelibs-4.4[-aqua] required by (kde-misc/polkit-kde-kcmodules-0.98_pre20101127::gentoo, installed)
    (and 11 more)


deleting net-libs/glib-networking is only a workaround to emerge kde-base/kdelibs, but not really a solution for emerge -uDN world yet.


Portage 2.2.0_alpha31_p3 (default/linux/amd64/10.0/desktop, gcc-4.5.2, glibc-2.13-r2, 2.6.38-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.38-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P9700_@_2.80GHz-with-gentoo-2.0.2
Timestamp of tree: Sat, 07 May 2011 16:30:01 +0000
app-shells/bash:          4.2_p10_pre::poly-c
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1, 3.1.3-r1, 3.2
dev-util/cmake:           2.8.4-r1
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.2-r1::poly-c
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21
sys-devel/gcc:            4.5.2
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r2
Repositories: gentoo amielke-overlay emacs gnome lorelei-overlay hwoarang mellon mgorny mpd nikai poly-c qting-edge scarabeus_local_overlay science wirelay Techwolf java-overlay roslin lxde x-local-overlay
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
Comment 15 Philippe Valembois 2011-05-07 19:55:48 UTC
Removing the "!glib-networking" in kdelibs and compiling glib-networking with "-libproxy" USE flag fixes all troubles.
I don't have libproxy and polkitd works perfectly.
Maybe the dependency in ebuild should be modified accordingly ?
Comment 16 Tomasz Figa 2011-05-07 20:26:19 UTC
(In reply to comment #13)
> I guess you have tried to rebuild polkit after updating, no?

I have not only tried to rebuild, but also checked previous versions of polkit and other packages. I don't remember which ones exactly as it was pretty late and I had to quickly restore a working environment.
Comment 17 josef.95 2011-05-07 22:01:32 UTC
[blocks B     ] net-libs/glib-networking ("net-libs/glib-networking" is
blocking kde-base/kdelibs-4.6.3)

By my helps gnome-base/gvfs with USE="-http"
Comment 18 Sok Ann Yap 2011-05-08 01:27:22 UTC
On my machines with kde 4.6.2, polkit, and glib-networking, but without libsoup-gnome and gnome-keyring, I do not encounter any problem at all, other than the inconvenience caused by the blocker.
Comment 19 Rafał Mużyło 2011-05-08 01:54:26 UTC
*** Bug 366411 has been marked as a duplicate of this bug. ***
Comment 20 Samuli Suominen gentoo-dev 2011-05-08 09:38:15 UTC
*** Bug 366429 has been marked as a duplicate of this bug. ***
Comment 21 Thomas Navara 2011-05-08 10:05:10 UTC
(In reply to comment #18)
> On my machines with kde 4.6.2, polkit, and glib-networking, but without
> libsoup-gnome and gnome-keyring, I do not encounter any problem at all, other
> than the inconvenience caused by the blocker.

Neither I had any problems other than blocking of emerge - I use gimp, which requires mentioned gnome packages. Advice in comment #17 solved my issue with emerge.
> By my helps gnome-base/gvfs with USE="-http"
Comment 22 James 2011-05-08 20:10:51 UTC
I never had the problem mentioned originally in this bug, but now I'm in a mess because of the dependency against glib-networking.
Does what has gone before mean that I have to choose between using kde and gimp or gnome-mplayer, which is a dependency of gecko-mediaplayer, which I use for web multimedia?  I have added -http for gvfs to no avail, I continue to have the block, is there a way around this without getting rid of the software I use every day?
Thanks
cctsurf
Comment 23 Zac Medico gentoo-dev 2011-05-08 20:33:10 UTC
(In reply to comment #22)
> is there a way around this without getting rid of the software I use
> every day?

Maybe something like this in /etc/portage/package.mask will serve as a temporary workaround:

# Bug #365479 - Newer libsoup pulls in glib-networking which breaks stuff.
>=net-libs/libsoup-2.34.1
>=net-libs/libsoup-gnome-2.34.1
Comment 24 Andreas K. Hüttel gentoo-dev 2011-05-08 20:58:03 UTC
I narrowed the blocker in 4.6.3, now it blocks only glib-networking[libproxy]. 
If this works, I'll propagate the change to 4.6.2-r3.

However, we still need to find the actual problem... if you encounter these hangs, please add here your useflags of libproxy!
Comment 25 Fabio Coatti 2011-05-09 06:39:13 UTC
(In reply to comment #24)
> I narrowed the blocker in 4.6.3, now it blocks only glib-networking[libproxy]. 
> If this works, I'll propagate the change to 4.6.2-r3.
> 
> However, we still need to find the actual problem... if you encounter these
> hangs, please add here your useflags of libproxy!

I have this kind of blocker, net-libs/glib-networking[libproxy] blocking kdelibs; here my use flags, if this can be useful.


[I] net-libs/libproxy
     Installed versions:  0.4.6-r2(09:19:28 28/03/2011)(kde perl python xulrunner -gnome -mono -networkmanager -test -vala -webkit)
     Homepage:            http://code.google.com/p/libproxy/
     Description:         Library for automatic proxy configuration management
Comment 26 Silvio 2011-05-09 07:34:38 UTC
(In reply to comment #25)
> (In reply to comment #24)
> > I narrowed the blocker in 4.6.3, now it blocks only glib-networking[libproxy]. 
> > If this works, I'll propagate the change to 4.6.2-r3.
> > 
> > However, we still need to find the actual problem... if you encounter these
> > hangs, please add here your useflags of libproxy!
> 
> I have this kind of blocker, net-libs/glib-networking[libproxy] blocking
> kdelibs; here my use flags, if this can be useful.
> 
> 
> [I] net-libs/libproxy
>      Installed versions:  0.4.6-r2(09:19:28 28/03/2011)(kde perl python
> xulrunner -gnome -mono -networkmanager -test -vala -webkit)
>      Homepage:            http://code.google.com/p/libproxy/
>      Description:         Library for automatic proxy configuration management

As Andreas K. Hüttel there is this block to avoid a bug. He is just narrowed the block (before it blocked kdelibs at all).
Comment 27 Rafał Mużyło 2011-05-09 19:52:30 UTC
*** Bug 366639 has been marked as a duplicate of this bug. ***
Comment 28 Sebastian Pipping gentoo-dev 2011-05-09 20:13:50 UTC
(In reply to comment #24)
> I narrowed the blocker in 4.6.3, now it blocks only glib-networking[libproxy]. 
> If this works, I'll propagate the change to 4.6.2-r3.

I would prefer package masks over blockers for a temporary solution.
If Zac Medico's approach from comment #11 works, please move to that while there is no real fix.  Thank you.
Comment 29 Zac Medico gentoo-dev 2011-05-09 20:50:12 UTC
If we do something like this in profiles/base/package.use.mask, we can help people avoid triggering the blocker:

# Bug #365479 - glib-networking with USE=libproxy breaks stuff
net-libs/glib-networking libproxy
Comment 30 Gilles Dartiguelongue gentoo-dev 2011-05-09 21:06:34 UTC
In case anybody missed it, it does not break a gnome desktop as far as we could see. Masking it even for gnome users doesn't seem like the best thing to do as it removes proxy support for various applications such as empathy, epiphany, ...
Comment 31 Sebastian Pipping gentoo-dev 2011-05-09 21:09:00 UTC
(In reply to comment #30)
> In case anybody missed it, it does not break a gnome desktop as far as we could
> see.

Same with XFCE.


> Masking it even for gnome users doesn't seem like the best thing to do as
> it removes proxy support for various applications such as empathy, epiphany,

Another approach could be to make the blocker configurable from a new local use flag.
Comment 32 tman 2011-05-09 21:45:42 UTC
[blocks B     ] net-libs/glib-networking[libproxy] ("net-libs/glib-networking[libproxy]" is blocking kde-base/kdelibs-4.6.3-r1)
Comment 33 Tomasz Figa 2011-05-09 21:52:46 UTC
(In reply to comment #31)
> (In reply to comment #30)
> > In case anybody missed it, it does not break a gnome desktop as far as we could
> > see.
> 
> Same with XFCE.
> 

It would be worth mentioning that it did not only break KDE for me, but also had some negative effects on ConsoleKit. See comment 2.
Comment 34 Mark 2011-05-10 02:38:55 UTC
It certainly broke my gnome desktop.  The keyring daemons ran full cpu (divided among the four keyring types).  After killing those processes, most all applications would not launch which pretty much totally borked my box.  I was in the process of masking/downgrading almost everything that emerged that day.  It was not a pretty day.
Comment 35 Christian Pötzsch 2011-05-10 12:25:51 UTC
Its a little bit strange to me, how KDE 4.6.3 could be enabled in Gentoo, when  it leads to build breaks (whoever app is the reason for the break). Any advice to fix it other than comment #17?

[blocks B     ] net-libs/glib-networking[libproxy] ("net-libs/glib-networking[libproxy]" is blocking kde-base/kdelibs-4.6.3-r1)
Comment 36 George Shapovalov (RETIRED) gentoo-dev 2011-05-10 13:11:29 UTC
(In reply to comment #35)
> Its a little bit strange to me, how KDE 4.6.3 could be enabled in Gentoo, when 
> it leads to build breaks (whoever app is the reason for the break). Any advice
> to fix it other than comment #17?
Gah, do people not read basic docs nowadays? To resolve the last (relaxed) blocker all you need to do it to specifically disable libproxy flag for glib-networking. No need to remove http support for all of gnome or anything as radical. Somehing like 
flaggie net-libs/glib-networking -libproxy
would do (or edit /etc/portage/package.use by hand).

As I understand, one would lose proxy support in some gnome apps. However this should not matter for the people who primarily use kde with a few gnome apps (gimp probably being "the one") thrown in for complete set, and this is likely the largest group affected.
Comment 37 Rafal Kupiec 2011-05-10 14:31:55 UTC
# emerge gimp inkscape

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] dev-libs/libsigc++-2.2.9  USE="static-libs -doc -test" 3,517 kB
[ebuild  N    ] media-libs/babl-0.1.4  USE="mmx sse (-altivec) (-introspection)" 414 kB
[ebuild  N    ] app-text/libwpd-0.9.1  USE="tools -doc -test" 528 kB
[ebuild  N    ] dev-libs/libatomic_ops-1.2-r1  180 kB
[ebuild  N    ] media-libs/libwpg-0.2.0  USE="-doc" 320 kB
[ebuild  N    ] dev-libs/boehm-gc-7.2_alpha4-r1  USE="threads -nocxx" 1,066 kB
[ebuild  N    ] app-admin/eselect-cblas-0.1  0 kB
[ebuild  N    ] dev-python/beautifulsoup-3.2.0  31 kB
[ebuild  N    ] dev-cpp/glibmm-2.28.1  USE="-debug -doc -examples -test" 5,501 kB
[ebuild  N    ] dev-python/lxml-2.3  USE="threads -doc -examples" 3,114 kB
[ebuild  N    ] sci-libs/gsl-1.14-r1  USE="static-libs -cblas-external" 3,055 kB
[ebuild  N    ] app-text/enchant-1.6.0  USE="hunspell -aspell -zemberek" 593 kB
[ebuild  N    ] net-libs/glib-networking-2.28.6.1  USE="ssl -gnome -libproxy" 311 kB
[ebuild  N    ] net-libs/libsoup-2.34.1  USE="introspection ssl -debug -doc -test" 668 kB
[ebuild  N    ] dev-cpp/atkmm-2.22.5  USE="-doc" 699 kB
[ebuild  N    ] media-libs/netpbm-10.51.00-r1  USE="X jpeg jpeg2k png tiff xml zlib -jbig -rle (-svga)" 1,792 kB
[ebuild  N    ] media-libs/libwmf-0.2.8.4-r3  USE="X xml -debug -doc -expat -gtk" 2,119 kB
[ebuild  N    ] media-libs/sk1libs-0.9.1  996 kB
[ebuild  N    ] media-gfx/uniconvertor-1.1.5  242 kB
[ebuild  N    ] dev-cpp/cairomm-1.9.8  USE="svg -doc" 938 kB
[ebuild  N    ] dev-cpp/pangomm-2.28.2  USE="-doc" 1,022 kB
[ebuild  N    ] dev-cpp/gtkmm-2.24.0  USE="-doc -examples -test" 14,871 kB
[ebuild  N    ] net-libs/webkit-gtk-1.2.7  USE="gstreamer jit (-aqua) -coverage -debug -doc (-introspection) -test" 6,461 kB
[ebuild  N    ] media-libs/gegl-0.1.6  USE="cairo jpeg jpeg2k mmx png sse svg v4l -debug -exif -ffmpeg -graphviz -lua -openexr -raw -sdl -umfpack" 4,022 kB
[ebuild  N    ] media-gfx/gimp-2.6.11-r2  USE="alsa dbus jpeg mmx mng png python sse svg tiff webkit wmf -aalib (-altivec) -curl -debug -doc -exif -gnome -lcms -pdf -smp" 16,088 kB
[ebuild  N    ] media-gfx/imagemagick-6.6.8.5  USE="X bzip2 corefonts cxx fontconfig jpeg jpeg2k lzma openmp png static-libs svg tiff truetype wmf xml zlib -autotrace -djvu -fftw -fpx -graphviz -gs -hdri -jbig -lcms -lqr -openexr -perl -q32 -q8 -raw -webp" VIDEO_CARDS="nvidia" 7,459 kB                                                                                                                                        
[ebuild  N    ] media-gfx/inkscape-0.48.1-r1  USE="nls wmf -debug -dia -gnome -gs -inkjar -lcms -spell" 19,101 kB
[blocks B     ] net-libs/glib-networking ("net-libs/glib-networking" is blocking kde-base/kdelibs-4.6.3)

Total: 27 packages (27 new), Size of downloads: 95,096 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (net-libs/glib-networking-2.28.6.1::gentoo, ebuild scheduled for merge) pulled in by
    net-libs/glib-networking[ssl] required by (net-libs/libsoup-2.34.1::gentoo, ebuild scheduled for merge)

  (kde-base/kdelibs-4.6.3::gentoo, installed) pulled in by
    >=kde-base/kdelibs-4.6.3[-aqua,-kdeprefix] required by (kde-base/kstart-4.6.3::gentoo, installed)
    >=kde-base/kdelibs-4.6.3[-aqua,-kdeprefix] required by (kde-base/kfmclient-4.6.3::gentoo, installed)
    >=kde-base/kdelibs-4.6.3[-aqua,-kdeprefix] required by (kde-base/knetattach-4.6.3::gentoo, installed)
    (and 137 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



I wanted to install gimp & inkscape, but i cant due to glib-networking blocked by kdelibs...
Comment 38 PhobosK 2011-05-10 16:07:08 UTC
This problem is just one more proof of how much gentoo (unstable or whatever the ~ stands for) is degrading the last couple of years... Everyone with the necessary perms to push the tree, uploads some ebuild that he has barely tested and after that he is trying to fix the mess... and mess is growing...

What we have got here?
First of all some unidentified problem that affects A COUPLE of users...
Then someone puts a wide block on a very important gnome lib (yes I use both GNOME and KDE, and i need proxy support in empathy and other apps that use this function) just to be sure KDE 4.6.3 is ok....
Then he narrows the block... "cutting out the leg, because one of its fingers is itching"...
And now the mess is total...

As far as i remember blocks are used if something has a real problem and it affects almost every user of the ebuild... In all other situations a masking is the preferred way... Of course masking smth like kdelibs requires a lot of effort...

Anyway back to the topic... here is the situation I am in...
I have all these built on my sys:
1. net-libs/glib-networking-2.28.6.1 gnome libproxy ssl flags enabled
2. net-libs/libsoup-2.34.1 introspection ssl flags enabled
3. net-libs/libsoup-gnome-2.34.1 introspection flag on
4. kde-base/kdelibs-4.6.3-r1 3dnow acl alsa bzip2 debug fam handbook jpeg2k kerberos lzma mmx nls openexr opengl policykit semantic-desktop spell sse sse2 ssl udev zeroconf -altivec -aqua -bindist -doc -kdeenablefinal -kdeprefix -test

This is my own ebuild of kdelibs that differs from the official tree ONLY by the deleted block of net-libs/glib-networking (no matter if the block is wide or narrow, i deleted only this line)
5. sys-auth/polkit-0.101-r1 examples gtk kde nls pam 
6. sys-auth/polkit-qt, sys-auth/polkit-kde-agent, kde-misc/polkit-kde-kcmodules, gnome-extra/polkit-gnome
7. Arch ~amd64, gcc-4.5.2

I had all these from long ago, had gone through all the KDE versions that were in the portage tree, and they NEVER gave me any of these problems described above... Polkit is working ok, KDE also, KDM too... etc etc...

So I really wanna know how exactly according to you these:
/usr/lib64/gio/modules/libgiognomeproxy.so
/usr/lib64/gio/modules/libgiognutls.so
/usr/lib64/gio/modules/libgiolibproxy.so
/usr/libexec/glib-pacrunner
/usr/share/dbus-1/services/org.gtk.GLib.PACRunner.service

 can impact the whole KDE?! (look at comment 60 here: https://bugs.gentoo.org/show_bug.cgi?id=365637#c60)

Anyway it is high time ppl start thinking before committing any changes in the main tree... even if we are talking about an unstable ~ stuff...
Comment 39 Markos Chandras (RETIRED) gentoo-dev 2011-05-10 16:22:16 UTC
I have already complained to gentoo kde people about this nonsense blocker. I had to remove K* stuff entirely in order to be able to have proxy support in G* stuff. This is really really bad QA
Comment 40 Tomasz Figa 2011-05-10 16:29:41 UTC
(In reply to comment #38)
> So I really wanna know how exactly according to you these:
> /usr/lib64/gio/modules/libgiognomeproxy.so
> /usr/lib64/gio/modules/libgiognutls.so
> /usr/lib64/gio/modules/libgiolibproxy.so
> /usr/libexec/glib-pacrunner
> /usr/share/dbus-1/services/org.gtk.GLib.PACRunner.service
> 
>  can impact the whole KDE?! (look at comment 60 here:
> https://bugs.gentoo.org/show_bug.cgi?id=365637#c60)
> 
In my case, KDE (and also consolekit) was broken by glib-networking breaking gio, which in turn was breaking polkit (which is used by both KDE and consolekit).

This looks rather like an upstream bug from G* team somewhere around glib-networking, but just not appearing on all systems.
Comment 41 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-05-10 16:30:44 UTC
how about spending some time to identify the issue instead of spending time to complain? bugzilla is not a chit-chat place
Comment 42 Tomasz Figa 2011-05-10 16:42:21 UTC
(In reply to comment #41)
> how about spending some time to identify the issue instead of spending time to
> complain? bugzilla is not a chit-chat place

If it was addressed to me, then I would like to remind that I was the first to track the bug to being related with glib-networking and put most of debugging output here. If not, please excuse me then.

If it is about my last post (comment #40), then I just suggested that it looks to me like an upstream bug and it may be worth looking for it in glib-networking.

I would try to find and fix the bug myself, but currently I am just too busy with other things (even the bug report was done in a hurry).
Comment 43 Rafal Kupiec 2011-05-10 16:51:00 UTC
Gentoo chosen the long road... And year by year its even worse than before - thats true and cant complain about that. Just to remain new PHP ebuilds that even broken suhosin, what was like a shot straight into balls... Now we have repeat with strange blocker... and all because some guy forgotten (or didnt want to) try it before pushing into tree... Sometimes i think that Gentoo developers comes from the round-up.

NO COMMENT... ;/
Comment 44 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-05-10 17:02:48 UTC
blocker removed, enjoy your blank screens
Comment 45 PhobosK 2011-05-10 17:08:50 UTC
 
(In reply to comment #41)
> how about spending some time to identify the issue instead of spending time to
> complain? bugzilla is not a chit-chat place

Sorry for my "ignorance" about the purpose of bugzilla.... :D

But as far as i can see, almost 90% of the bug reports and comments here are
connected to the nonsense blocker that breaks the update of the system and the
usage of GNOME... And that IS a part of the issue!!!

As far as the initial issue reported is concerned... it should be tracked by
the ppl that HAVE the problem in the first place!...

What i wanted to say is that this blocker (even the narrowed one) should be
removed, and the bug to be tracked carefully by the ppl that reported it and
have it... 

Anyway....

(In reply to comment #43)
> Sometimes i think that Gentoo
> developers comes from the round-up.
> 
> NO COMMENT... ;/

Yeah and they are very touchy and when receive critics become very sarcastic :D....

END OF OFFTOPIC CONTENT...
Comment 46 Rafal Kupiec 2011-05-10 17:24:43 UTC
> Yeah and they are very touchy and when receive critics become very sarcastic
> :D....
> 
> END OF OFFTOPIC CONTENT...



Yep, not helpful. They should learn from mistake and treat criticism as a motivation to solve issues... I wonder if this should be reported to User/Dev Relations Team.


EOT
Comment 47 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-05-10 17:28:31 UTC
People, please calm down. Bugzilla is not the place for flames; it's the place for calmly fixing bugs. If you want to flame Gentoo devs, users of other desktop environments, and each other, please use the forums.

Now, one of the problems at the moment is that it's not clear how to reproduce the polkit hang problem. Some people are experiencing it, while for others (e.g. me) polkitd works perfectly well with glib-networking and USE=libproxy.

So, if polkitd freezes for you, could you please, at a minimum, say what versions with what USE flags of the following packages you have installed:

polkit, glib-networking, libproxy, networkmanager, webkit-gtk, xulrunner, gsettings-desktop-schemas, dconf, dbus.
Comment 48 PhobosK 2011-05-10 17:51:15 UTC
(In reply to comment #47)
> So, if polkitd freezes for you, could you please, at a minimum, say what
> versions with what USE flags of the following packages you have installed:
> 
> polkit, glib-networking, libproxy, networkmanager, webkit-gtk, xulrunner,
> gsettings-desktop-schemas, dconf, dbus.


I would suggest those ppl to start from smth even simpler...

Just re-emerge these packages (the ones i have listed below) and restart your system. Then if problem persists do report the use flags and versions of the packages...:

emerge -av sys-auth/consolekit sys-apps/dbus x11-libs/qt-dbus dev-libs/dbus-glib dev-libs/glib sys-auth/polkit gnome-extra/polkit-gnome sys-auth/polkit-qt sys-auth/polkit-kde-agent gnome-base/gvfs net-libs/glib-networking net-libs/libproxy kde-base/kdelibs:4.6 kde-base/kdm:4.6


BTW media-plugins/gst-plugins-gio once gave me a lot of problems similar to this one... so see if you have it on your sys, try removing it and see what happens...
Comment 49 Andreas K. Hüttel gentoo-dev 2011-05-10 20:00:43 UTC
Seriously guys, please calm down a bit. For now everyone can shoot himself in the foot as much as he likes, as Theo completely removed the blocker. Anyway, please remember:

* If you use ~arch stuff, you may encounter complications.

* Most likely nobody tests bleeding-edge gnome stuff against bleeding-edge kde stuff. Stable testing is done with the "set to be stabilized" against an otherwise stable system.

* The blocker was not added without reason, there were quite some people having problems, and it took time to narrow the problem down.

* We have here some packages managed by Gnome and Freedesktop interacting in strange ways with KDE. While the problem becomes mostly, but not only visible on the KDE side, it's not really easy to debug by us alone...

* Not everyone of the team is available 24/7. Sorry.
Comment 50 Andreas K. Hüttel gentoo-dev 2011-05-10 20:09:39 UTC
One more thing... If your system hangs because of this problem, please _also_ post the output of the command

proxy http://www.google.com/

here (to see if libproxy is working properly).
Comment 51 Mark 2011-05-10 20:27:41 UTC
And once again I would like to state:  I had Gnome desktop problems due to glib-networking pulled in by libsoup/libsoup-gnome.  I do not use KDE (although I do have qt installed for several apps that need it).  Fortunately nothing seems blocked or impacted by this yet.
Comment 52 Mathieu Z 2011-05-11 02:25:56 UTC
Removing USE=-libproxy from gnome-networking would unblock kdelibs.  This also removes libproxy from system once I ran --depclean.

The only thing that broke due to libproxy in my system was evolution. It wouldn't compile without it either as I found out with revdep-rebuild. So I just added libproxy as a dep for evolution and everything seems fine. So far.
Comment 53 Andreas Arens 2011-05-12 19:03:51 UTC
In addition to #Comment 52 I want to mention that evolution had an automagic dependency on libproxy found by revdep-rebuild after setting a -libproxy USE flag to glib-networking and depcleaning libproxy out afterwards. But thats probably another bug.
Comment 54 Andreas Arens 2011-05-12 19:04:45 UTC
In addition to #Comment 52 I want to mention that evolution had an automagic dependency on libproxy found by revdep-rebuild after setting a -libproxy USE flag to glib-networking and depcleaning libproxy out afterwards. But thats probably another bug.
Comment 55 Andreas Arens 2011-05-12 19:05:10 UTC
In addition to #Comment 52 I want to mention that evolution had an automagic dependency on libproxy found by revdep-rebuild after setting a -libproxy USE flag to glib-networking and depcleaning libproxy out afterwards. But thats probably another bug.
Comment 56 Andreas Arens 2011-05-12 19:20:44 UTC
Sorry for the comment spam, had a mid-air collision and didn't realize commenting thrice.
Comment 57 Andreas Arens 2011-05-12 19:46:59 UTC
Now after the blocker is removed I did a recompile as per #Comment 48 which did pull back in libproxy. (all ~amd64 4.6.3 as of today's portage).

I usually start my KDE desktop session with startx (no kdm running).
Everything seems to work fine at first sight, but the #Comment 51 test gives:
proxy www.google.com
direct://
proxy: symbol lookup error: /usr/lib64/libkdecore.so.5: undefined symbol: _ZNK7KConfig13componentDataEv



hmm. Must be a dynamically loaded w/o some req. dep. revdep-rebuild doesn't find it.


Also as per #Comment 48: I saw gst-plugin-scanner hanging during plugin detection while compiling totem (did hang indefinitely in select()).
However: totem did emerge fine when the emerge was started from a plain text console session (no X/KDE running).
Comment 58 Andreas Arens 2011-05-12 21:42:44 UTC
Regarding my last post:
removing -as-needed vom link.txt and forcing -lkdecore instead makes the undefed symbol go away (I only replaced the libproxy.so.1.0.0 binary).

Something to try for the people affected (might be an underlinking prob).
Comment 59 Mark 2011-05-13 15:28:16 UTC
With time available, I messed around with glib-networking planning to get a backtrace.  After the first emerge, on Gnome startup four Gnome keyring processes PCKS#11, GPG agent, Secret service, and SSH Agent would use 100% of CPUs.  After killing these processes, Gnome would not launch applications (Totem, Gedit, Nautilus, etc).  Existing running applications (applications that normally start when I launch Gnome -- FF, terminals, Claws, etc.) all would function properly, but no relaunch if closed.  System startup was noticeably slow.

Before trying the backtrace run, I compiled glib-networking trying different use flags. I found that setting -libproxy allows the Gnome to work correctly.  Since I can keep my system current no further troubleshooting (backtrace) is planned.
Comment 60 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-05-13 17:23:00 UTC
(In reply to comment #59)
> Since I can keep my system current no further troubleshooting (backtrace) is
> planned.

Well, could you at least provide the information requested in comment #47 and comment #50?
Comment 61 Mark 2011-05-14 11:41:50 UTC
(In reply to comment #60)
> (In reply to comment #59)
> > Since I can keep my system current no further troubleshooting (backtrace) is
> > planned.
> 
> Well, could you at least provide the information requested in comment #47 and
> comment #50?

Sorry, this machine support my work, so messing around can be limited.  That said, re-emerged glib-networking with +libproxy.  Yes, my box is hosed (pegged CPU among four keyring daemons, no new applications will  launch):

Comment 50: 

home3 ~ # proxy http://www.google.com/
direct://
home3 ~ # 


Comment 47:

home3 ~ # equery u polkit glib-networking libproxy networkmanager webkit-gtk xulrunner gsettings-desktop-schemas dconf dbus
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for sys-auth/polkit-0.101-r1:
 U I
 - - debug         : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                     http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - doc           : Adds extra documentation (API, Javadoc, etc)
 - - examples      : Install examples, usually source code
 + + gtk           : Adds support for x11-libs/gtk+ (The GIMP Toolkit)
 - - introspection : Use dev-libs/gobject-introspection for introspection
 - - kde           : Adds support for kde-base/kde (K Desktop Enviroment)
 + + nls           : Adds Native Language Support (using gettext - GNU locale utilities)
 + + pam           : Adds support for PAM (Pluggable Authentication Modules) - DANGEROUS to arbitrarily flip

 * Found these USE flags for net-libs/glib-networking-2.28.6.1:
 U I
 + + gnome    : Extract HTTP/HTTPS/SOCKS proxy configuration stored using GSettings
 - + libproxy : Use net-libs/libproxy for getting the HTTP/HTTPS/SOCKS proxy configuration
 + + ssl      : Adds support for Secure Socket Layer connections

 * Found these USE flags for net-libs/libproxy-0.4.6-r2:
 U I
 + + gnome          : Enable support for reading proxy settings from GNOME using gnome-base/gconf
 - - kde            : Enable support for reading proxy settings from KDE
 - - mono           : Build Mono bindings to support dotnet type stuff
 - - networkmanager : Enable net-misc/networkmanager support
 + + perl           : Adds support/bindings for the Perl language
 + + python         : Adds support/bindings for the Python language
 - - test           : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this internally, so don't set it in
                      make.conf/package.use anymore
 - - vala           : Enable support for the Vala programming language
 + + webkit         : Enable support for reading proxy settings from net-libs/webkit-gtk
 - - xulrunner      : Enable support for reading proxy settings from net-libs/xulrunner

 * Found these USE flags for net-misc/networkmanager-0.8.2-r10:
 U I
 - - avahi              : Add avahi/Zeroconf support
 + + bluetooth          : Enables Bluetooth Support
 - - connection-sharing : Use net-dns/dnsmasq and net-firewall/iptables for connection sharing 
 - - dhclient           : Use dhclient from net-misc/dhcp for getting ip.
 - - dhcpcd             : Use net-misc/dhcpcd for getting ip.
 - - doc                : Adds extra documentation (API, Javadoc, etc)
 - - gnutls             : Adds support for net-libs/gnutls (TLS 1.0 and SSL 3.0 support)
 - - nss                : Use dev-libs/nss for cryptography.
 - - resolvconf         : Use net-dns/openresolv for managing DNS information

 * Found these USE flags for net-libs/webkit-gtk-1.2.7:
 U I
 - - coverage  : Enable code coverage support
 - - debug     : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                 http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - doc       : Adds extra documentation (API, Javadoc, etc)
 + + gstreamer : Adds support for media-libs/gstreamer (Streaming media)
 + + jit       : Enable JIT javascript compiler (disabling it will cause performance penalty)
 - - test      : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this internally, so don't set it in
                 make.conf/package.use anymore
 - - test      : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this internally, so don't set it in
                 make.conf/package.use anymore

 * Found these USE flags for net-libs/xulrunner-2.0.1:
 U I
 + + alsa                 : Adds support for media-libs/alsa-lib (Advanced Linux Sound Architecture)
 + + crashreporter        : Enable crash reporter for bugs
 - - custom-optimization  : Fine-tune custom compiler optimizations
 + + dbus                 : Enable dbus support for anything that needs it (gpsd, gnomemeeting, etc)
 - - debug                : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                            http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - gconf                : Enable gnome2 gconf support
 + + ipc                  : Use inter-process communication between tabs and plugins. Allows for greater stability in case of plugin crashes
 + + libnotify            : Enable desktop notification support
 + + startup-notification : Enable application startup event feedback mechanism
 + + system-sqlite        : Use the system-wide dev-db/sqlite installation with secure-delete enabled
 + + system-sqlite        : Use the system-wide dev-db/sqlite installation with secure-delete enabled
 + + webm                 : Use system libvpx media-libs/libvpx
 - - wifi                 : Enable wireless network functions

!!! No USE flags found for gnome-base/gsettings-desktop-schemas-0.1.5

 * Found these USE flags for gnome-base/dconf-0.5.1-r2:
 U I
 - - doc           : Adds extra documentation (API, Javadoc, etc)
 - - introspection : Use dev-libs/gobject-introspection for introspection
 - - vala          : Add support for dev-lang/vala

 * Found these USE flags for sys-apps/dbus-1.4.8-r1:
 U I
 + + X           : Adds support for X11
 - - debug       : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                   http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - doc         : Adds extra documentation (API, Javadoc, etc)
 - - static-libs : Build static libraries
 - - test        : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this internally, so don't set it in
                   make.conf/package.use anymore
 - - test        : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this internally, so don't set it in
                   make.conf/package.use anymore
Comment 62 Tomasz Figa 2011-05-14 13:44:39 UTC
(In reply to comment #59)
> Before trying the backtrace run, I compiled glib-networking trying different
> use flags. I found that setting -libproxy allows the Gnome to work correctly. 

Emerging glib-networking with -libproxy seems to help on my system too. (~amd64, latest KDE).

USE flags of the interesting packages:
polkit: 0.101-r1 [gtk kde nls pam -debug -doc -examples -introspection]
glib-networking: 2.28.6.1 [gnome ssl -libproxy]
libproxy: 0.4.6-r2 [kde perl python webkit -gnome -mono -networkmanager -test -vala -xulrunner]
networkmanager: No matches found.
webkit-gtk: 1.2.7 [gstreamer jit -aqua -coverage -debug -doc -introspection -test]
xulrunner: 2.0.1 [alsa crashreporter dbus ipc libnotify webm -custom-optimization -debug -gconf -startup-notification -system-sqlite -wifi]
gsettings-desktop-schemas: 0.1.5 []
dconf: No matches found.
dbus: 1.4.8-r1 [X -debug -doc -selinux -static-libs -test]
Comment 63 dlm 2011-05-15 05:56:18 UTC
I don't understand how either glib-networking or libproxy can be responsible for polkitd to fail as it does.  I have neither glib-networking nor libproxy (and never have had either), but polkitd still gives the same error.  This is a new install, just setting up KDE4.  I'm not using kdm; simply running startx from the console, so KDE4 actually starts, but is mostly unresponsive.

Result for "emerge -pv net-libs/glib-networking":
These are the packages that would be merged, in order:
Calculating dependencies  ... done!
[ebuild  N    ] net-libs/libproxy-0.4.6  USE="gnome kde perl python -mono -networkmanager -test -webkit -xulrunner" 81 kB
[ebuild  N    ] gnome-base/gsettings-desktop-schemas-0.1.1  USE="-debug" 88 kB
[ebuild  N    ] dev-libs/libtasn1-2.9-r1  USE="-doc" 1,840 kB
[ebuild  N    ] net-libs/gnutls-2.10.5  USE="cxx nls zlib -bindist -doc -examples -guile -lzo -test" 7,118 kB
[ebuild  N    ] net-libs/glib-networking-2.28.6.1  USE="gnome libproxy ssl" 311 kB

Total: 5 packages (5 new), Size of downloads: 9,436 kB

Result of "/usr/libexec/polkitd":
Entering main event loop
Connected to the system bus
Registering null backend at priority -10

(polkitd:4407): GLib-GIO-WARNING **: Tried to implement non-registered extension point polkit-backend-action-lookup-1
Error loading /var/run/ConsoleKit/database: Error statting file /var/run/ConsoleKit/database: No such file or directory** (polkitd:4407): DEBUG: Added `/var/lib/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/etc/polkit-1/localauthority/10-vendor.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/var/lib/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/etc/polkit-1/localauthority/20-org.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/var/lib/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/etc/polkit-1/localauthority/30-site.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/var/lib/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/etc/polkit-1/localauthority/50-local.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/var/lib/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:4407): DEBUG: Added `/etc/polkit-1/localauthority/90-mandatory.d' as a local authorization store
** (polkitd:4407): DEBUG: Monitoring `/var/lib/polkit-1/localauthority' for changes
** (polkitd:4407): DEBUG: Monitoring `/etc/polkit-1/localauthority' for changes
Using authority class PolkitBackendLocalAuthority
Acquired the name org.freedesktop.PolicyKit1

Result of "emerge --info"
Portage 2.1.9.42 (default/linux/amd64/10.0, gcc-4.4.5, libc-0-r0, 2.6.37-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.37-gentoo-r4-x86_64-AMD_Athlon-tm-_II_X4_630_Processor-with-gentoo-1.12.14
Timestamp of tree: Sat, 14 May 2011 03:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.65-r1
sys-devel/automake:  1.9.6-r3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.11.3
virtual/os-headers:  0
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -finline-functions"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -finline-functions"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="POSIX"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X aac acl alsa amd64 bash-completion bittorrent bzip2 cairo cdr cli cracklib crypt cups curl cxx dbus device-mapper dri dvd encode extras ffmpeg flac fontconfig fortran fts3 gdbm gnome gpm iconv id3tag ipv6 java jbig jpeg kde libwww mad matroska mmx mmxext mng modules mp3 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp oss pcre pdf perl png policykit pppd python qt3support qt4 readline samba sdl session sndfile sqlite sse sse2 ssl svg sysfs tcl tcpd threads tiff tk truetype udev unicode vorbis wavpack x264 xine xorg xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

So what is the culprit if not glib-networking or libproxy?  I'm no programmer, but logic would dictate that it must be another dependency of glib-networking or perhaps polkitd, itself somehow.   From the ebuild for glib-networking-2.28.6.1, the only packages on my system are as follows:  (emerge -pv)
dev-libs/glib-2.28.6  USE="static-libs -debug -doc -fam (-introspection) (-selinux) -test -xattr"
dev-util/intltool-0.41.1
dev-util/pkgconfig-0.25-r2  USE="-hardened"
sys-devel/gettext-0.18.1.1-r1  USE="acl git nls openmp -doc -emacs -nocxx"
Comment 64 Rafał Mużyło 2011-05-15 13:48:27 UTC
@comment 63: that's a different problem than this bug.

Original report says 'org.freedesktop.PolicyKit1 is never acquired, polkitd deadlocks before that".
Comment 65 Benjamin Lee 2011-05-15 21:14:57 UTC
I removed =net-libs/glib-networking-2.28.6.1 and =net-libs/libsoup-2.34.1 from my package.mask today now that the blocker has been removed and I don't seem to have any problems with polkitd spiking to 100% CPU.  I use KDE 4.6.3 and also have some GTK applications installed.

Are there any clear steps I can try to reproduce the problem?

I do, however, have the dynamic linking problem reported in comment #57:

blee@supra ~ $ proxy http://www.google.com/
direct://
proxy: symbol lookup error: /usr/lib64/libkdecore.so.5: undefined symbol: _ZNK7KConfig13componentDataEv
blee@supra ~ $ ldd /usr/bin/proxy
        linux-vdso.so.1 =>  (0x00007fff50ff7000)
        libproxy.so.1 => /usr/lib64/libproxy.so.1 (0x00007fcbffe6d000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fcbffae2000)
        libmodman.so.1 => /usr/lib64/libmodman.so.1 (0x00007fcbff8d8000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fcbff6bb000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/libstdc++.so.6 (0x00007fcbff3b2000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fcbff19c000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fcc0008f000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fcbfef98000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fcbfed16000)
Comment 66 Benjamin Lee 2011-05-15 21:58:40 UTC
Strangely enough, my laptop worked fine after the emerge per comment #65 but my desktop did not.  Upon kdm login on my desktop, the login would hang until eventually polkit-kde-authentication-agent-1 crashed.

I looked at the differences and my desktop did not have "xulrunner" in USE.  I added xulrunner and re-emerged @world, which had the effect of rebuilding libproxy with the new USE flag.  Now I am able to login to my desktop successfully using kdm without any polkit-related issues.

In summary, I was able to workaround this issue on KDE 4.6.3 by rebuilding net-libs/libproxy with USE xulrunner.

blee@nsx ~ $ equery -q uses libproxy
-gnome
+kde
-mono
-networkmanager
+perl
+python
-test
-vala
+webkit
+xulrunner
Comment 67 Nirbheek Chauhan (RETIRED) gentoo-dev 2011-05-16 06:17:08 UTC
Could some of you test with the following use-flags on libproxy and post the results for each pair?

+webkit -xulrunner
+webkit +xulrunner
-webkit +xulrunner
-webkit -xulrunner

I suspect that only the first case will cause problems.

If that's the case, we should package.use.mask "net-libs/libproxy webkit" since it also causes bug 366791 .
Comment 68 hash 2011-05-16 09:13:20 UTC
On My system proxy www.google.com segfaulted only if +webkit +xulrunner
Comment 69 Mark 2011-05-16 14:56:41 UTC
(In reply to comment #67)
> Could some of you test with the following use-flags on libproxy and post the
> results for each pair?
> 
> +webkit -xulrunner
> +webkit +xulrunner
> -webkit +xulrunner
> -webkit -xulrunner
> 
> I suspect that only the first case will cause problems.
> 
> If that's the case, we should package.use.mask "net-libs/libproxy webkit" since
> it also causes bug 366791 .

So I re-emerged libproxy -webkit.  I re-emerge glib-networking +libproxy.  My sysem (gnome) seems to run with no problems.  So, this is apparently a derivative of the 366791 bug?
Comment 70 Jouni Rinne 2011-05-16 15:09:30 UTC
After some system cleanup I don't have libproxy installed any more, but the current flags seems to want to install it with +webkit -xulrunner; probably that was the case when it was causing problems, too.
Comment 71 Alex Ghoth 2011-05-20 17:02:54 UTC
This problem manifested itself with NetworkManager using 100% cpu (on a core), with similar polkit issues.

Solved by recompiling net-libs/libproxy-0.4.6-r2 with +xulrunner.

# equery u libproxy
 * Found these USE flags for net-libs/libproxy-0.4.6-r2:
 U I
 + + gnome         
 + + kde           
 + + mono          
 + + networkmanager
 + + perl          
 + + python        
 - - test          
 - - vala          
 + + webkit        
 + + xulrunner     

I have not tried with with -webkit.
Comment 72 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-05-24 03:34:42 UTC
Note that the recently released glib-networking-2.28.7 states the following in its release notes:

"Fixed a race condition in GProxyResolverGnome that caused problems when making simultaneous corrections from multiple threads."

(see http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.28/glib-networking-2.28.7.news)

Gnome team, please get glib-networking-2.28.7 in the tree, it might solve this bug!
Comment 73 Gilles Dartiguelongue gentoo-dev 2011-05-25 01:56:55 UTC
glib-networking-2.28.7 just added. The problem mentioned should have only affected programs using the gio proxy support and I'm not sure this really relates to problems described here, but please test it anyway.
Comment 74 Vladimir 2011-05-26 18:59:37 UTC
KDE still freezes at startup with newer library
Comment 75 Pacho Ramos gentoo-dev 2011-05-28 17:00:40 UTC
All affected people, please try after reemerging libproxy with "-webkit", if still failing, try toggling "xulrunner" USE flag.
Comment 76 Kirk Diviney 2011-05-28 18:04:27 UTC
I can confirm libproxy -webkit fixes my issues.
Comment 77 Bob Raitz 2011-05-29 19:19:45 UTC
No difference. 

At this point, I'm over kde-4.6.3. I'll continue to monitor this until someone ACTUALLY fixes the issue, but as far as I'm concerned, KDE-4.6.x is total and complete garbage, and barely worth the effort I've put into placing it on one machine. I'm dropping back to a version that actually compiled and worked on said machine.

Someone needs to slap the upstream devs, really hard!
Comment 78 Pacho Ramos gentoo-dev 2011-06-05 12:06:21 UTC
Please try to use libproxy-0.4.6-r3
Comment 79 Eggert 2011-06-05 13:18:18 UTC
I added net-libs/libproxy to /etc/portage/package.keywords and emerged libproxy-0.4.6-r2. There is no r3 in portage. This action did not make a difference, still hanging at the splash screen, D-Bus errors in kdm.log.
Comment 80 Pacho Ramos gentoo-dev 2011-06-05 13:20:20 UTC
Will, updated ebuild takes some time to appear in mirrors ;)
Comment 81 Eggert 2011-06-05 13:55:42 UTC
I added net-libs/libproxy to /etc/portage/package.keywords and emerged libproxy-0.4.6-r2. There is no r3 in portage. This action did not make a difference, still hanging at the splash screen, D-Bus errors in kdm.log.
Comment 82 Eggert 2011-06-05 13:57:43 UTC
Ok, after emerge --sync I got libproxy-0.4.6-r3. Still no difference. :-(
Comment 83 Andreas K. Hüttel gentoo-dev 2011-06-12 13:26:37 UTC
(In reply to comment #82)
> Ok, after emerge --sync I got libproxy-0.4.6-r3. Still no difference. :-(

Completely orthogonal suggestion from bug 370297 - could you please try if upgrading sys-apps/dbus to >> 1.4.10 << helps?!
Comment 84 Eggert 2011-06-12 21:46:36 UTC
(In reply to comment #83)
> (In reply to comment #82)
> > Ok, after emerge --sync I got libproxy-0.4.6-r3. Still no difference. :-(
> 
> Completely orthogonal suggestion from bug 370297 - could you please try if
> upgrading sys-apps/dbus to >> 1.4.10 << helps?!

setting sys-apps/dbus in package.keywords got me sys-apps/dbus-1.4.12. Still no help. I also upgraded to KDE 4.6.3 in the meantime, All this did not change anything. Still the splash screen hangs when the fifth icon (KDE) should be displayed. But there are new messages in /var/log/kdm.log:

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Datei oder Verzeichnis nicht gefunden
QFileSystemWatcher: failed to add paths: /tmp/1269278575/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address. 
IBusInputContext::createInputContext: no connection to ibus-daemon 

Does this give a hint?
Comment 85 Eggert 2011-06-12 22:00:00 UTC
(In reply to comment #84)
> (In reply to comment #83)
> > (In reply to comment #82)

Forget my last post. I copied the kdm.log from another box. 

the correct kdm.log has this:

klauncher(2610) kdemain: No DBUS session-bus found. Check if you have started the DBUS server. 
kdeinit4: Communication error with launcher. Exiting!
kdmgreet(2604)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "Not connected to D-Bus server"

Sorry for confusion. Its too late.
Comment 86 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-06-12 22:04:25 UTC
(In reply to comment #85)
> klauncher(2610) kdemain: No DBUS session-bus found. Check if you have started
> the DBUS server. 
> kdeinit4: Communication error with launcher. Exiting!
> kdmgreet(2604)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize()
> D-Bus call failed:  "Not connected to D-Bus server"

You need to restart dbus after upgrading (/etc/init.d/dbus restart).
Comment 87 Eggert 2011-06-12 22:09:47 UTC
(In reply to comment #86)

> You need to restart dbus after upgrading (/etc/init.d/dbus restart).

I did a complete reboot.
Comment 88 valvestater65 2011-06-14 18:56:31 UTC
Hi all,

I'm facing the very same problem with kdm. I've been reading a lot and this bug report seems to explain my issue but there are some differences between what has been explained here and my current system settings. 

The first and most important difference is that I never used ~x86 and always used the stable portage version. 

These are the versions of what I have installed: 

- sys-apps/dbus-1.4.6
- net-libs/libproxy-0.4.6 with use: -networkmanager, -webkit, +xulrunner
- glib-networking > 2.28.5 are masked on stable tree. [NOT INSTALLED]
- kde-base/kdm-4.6.3-r1
- X.Org X Server 1.9.5

The only way I can get my KDE desktop running is to login as root and call dbus-launch command. Then log in as normal user and can run startx without issue. 

Of course dbus is at default boot level. 

Here is the emerge --info: http://pastebin.com/CvCckfY0

Sorry if this is not much relevant info, I'm not very used to open bug reports. 

For any clarification or comment I'm at your disposal. 

Many thanks
Comment 89 Pacho Ramos gentoo-dev 2011-06-14 19:25:11 UTC
Then, you are the only one from affected people where glib-networking is not involved :-O

Not sure about "dbus-launch" also helping for other affected people... :-/
Comment 90 Eggert 2011-06-14 19:28:41 UTC
(In reply to comment #89)
> Then, you are the only one from affected people where glib-networking is not
> involved :-O
> 
> Not sure about "dbus-launch" also helping for other affected people... :-/

It does not help in my case. Just tried.
Comment 91 Eggert 2011-06-18 09:18:44 UTC
(In reply to comment #90)
> (In reply to comment #89)
> > Then, you are the only one from affected people where glib-networking is not
> > involved :-O
> > 
> > Not sure about "dbus-launch" also helping for other affected people... :-/
> 
> It does not help in my case. Just tried.

So will this ever be fixed? What can I do to analyse? Here is my emerge --info:

$ sudo emerge --info
Portage 2.1.9.42 (default/linux/amd64/10.0/desktop, gcc-4.4.5, libc-0-r0, 2.6.38-gentoo-r6 x86_64)
=================================================================
System uname: Linux-2.6.38-gentoo-r6-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4400+-with-gentoo-2.0.3
Timestamp of tree: Sat, 18 Jun 2011 08:30:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 1.3.7-r1, 2.1.11-r3
dev-lang/python:     2.4.4-r13, 2.5.4-r3, 2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.3
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.82
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.12.2
virtual/os-headers:  0
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=k8 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo "
LANG="de_DE.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac accessibility acl acpi akonadi alsa amd64 arts avi berkdb bitmap-fonts bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr dvdread emboss encode ethereal exif fam firefox flac foomaticdb fortran gdbm gdu gif gphoto2 gpm gtk iconv imlib ipv6 jadetex java javascript jpeg kde kpathsea lcms ldap libg++ libnotify libwww mad mikmod mime mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin nvidia ogg oggvorbis opengl openmp oss pam pango pcre pdf pdflib perl png policykit ppds pppd pthread python qt3support qt4 quicktime readline sasl sdl semantic-desktop session slang smime spell sqlite sse sse2 ssl startup-notification svg sysfs tcpd tetex tiff truetype truetype-fonts type1-fonts udev unicode usb utempter vorbis x264 xcb xcomposite xml xml2 xmms xorg xprint xulrunner xv xvid zlib" ALSA_CARDS="via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="gt68xx" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 92 Pacho Ramos gentoo-dev 2011-06-18 11:29:36 UTC
This cannot be fixed if we don't know how to fix it and, if latest libproxy in testing doesn't help, we are lost :(
Comment 93 Eggert 2011-06-18 12:38:50 UTC
(In reply to comment #92)
> This cannot be fixed if we don't know how to fix it and, if latest libproxy in
> testing doesn't help, we are lost :(

Is is a problem to reproduce the fault? I can reproduce it 100%, and I can do some testing. I just need some input where to look, what logfiles, how to debug etc.
Comment 94 Bob Raitz 2011-06-18 18:52:50 UTC
As a possible clue to this issue, if you are running an nvidia card, of any type, and if you can remove the same and/or move to a different video card, do so and retest.

I removed my nvidia card, and reset X to run with the Intel GPU onboard the mobo. This solved the issue, and allowed KDE-4.6.3 to start...something it hasn't done ever, up to this point. 

Just offering food for thought.
Comment 95 Francesco Riosa 2011-06-19 17:01:49 UTC
(In reply to comment #94)
> As a possible clue to this issue, if you are running an nvidia card, of any
> type, and if you can remove the same and/or move to a different video card, do
> so and retest.
> 
> I removed my nvidia card, and reset X to run with the Intel GPU onboard the
> mobo. This solved the issue, and allowed KDE-4.6.3 to start...something it
> hasn't done ever, up to this point. 
> 
> Just offering food for thought.

Men, after this I'm ever more confused
Comment 96 Eggert 2011-06-19 18:29:37 UTC
(In reply to comment #95)
> (In reply to comment #94)
> > As a possible clue to this issue, if you are running an nvidia card, of any
> > type, and if you can remove the same and/or move to a different video card, do
> > so and retest.
> > 
> > I removed my nvidia card, and reset X to run with the Intel GPU onboard the
> > mobo. This solved the issue, and allowed KDE-4.6.3 to start...something it
> > hasn't done ever, up to this point. 
> > 
> > Just offering food for thought.
> 
> Men, after this I'm ever more confused

I have a 100% CPU load of kded, if this is new information. dbus-daemon and nepomukservices occupy the other core of my AMD64 duo Core. This is in the state when the KDE splash screen never terminates.
Comment 97 Bob Raitz 2011-06-19 21:33:14 UTC
(In reply to comment #95)
> (In reply to comment #94)
> > As a possible clue to this issue, if you are running an nvidia card, of any
> > type, and if you can remove the same and/or move to a different video card, do
> > so and retest.
> > 
> > I removed my nvidia card, and reset X to run with the Intel GPU onboard the
> > mobo. This solved the issue, and allowed KDE-4.6.3 to start...something it
> > hasn't done ever, up to this point. 
> > 
> > Just offering food for thought.
> 
> Men, after this I'm ever more confused

My apologies for creating this issue, but after my success in getting kde to fire, I installed the latest version of KDE on a different x86_64 machine, once again with only an Intel GPU. The first attempt to start hung at the splash screen. I killed X and restarted, and kde worked. Worked, in this case, is a relative term, for KDE did crash after about three hours, but that would be another bug to report at another time. It started and ran. That was all I cared about at that time.

I'm thinking perhaps someone willing could see if the nouveu (sp?) drivers cause the same issue. At the moment, I'm not feeling that adventurous.
Comment 98 Pacho Ramos gentoo-dev 2011-06-24 12:28:54 UTC
As this is now a total mess, would be interesting to summarize:
- Does rebuilding net-libs/glib-networking with USE="-libproxy" help you?
- Do you need to unmerge glib-networking to get it working?
Comment 99 Eggert 2011-06-24 13:27:05 UTC
(In reply to comment #98)
> As this is now a total mess, would be interesting to summarize:
> - Does rebuilding net-libs/glib-networking with USE="-libproxy" help you?
> - Do you need to unmerge glib-networking to get it working?

I tried glib-networking with and without USE="-libproxy", unmerged it completely, no success. I am short of dumping Gentoo and go for Mint, which runs fine on my notebook. In the meantime I upgraded to KDE 4.6.4, still the same mess. Why can noone provide some debugging aid to track this bug? At least it should be possible to create some extended log to see what is happening.
Comment 100 Pacho Ramos gentoo-dev 2011-06-24 13:34:12 UTC
I think you are suffering a different problem than originally reported and the one suffered by most of CCed people, maybe you should open a new bug report for your issues as you are not having problems with glib-networking
Comment 101 Eggert 2011-07-05 16:38:25 UTC
(In reply to comment #100)
> I think you are suffering a different problem than originally reported and the
> one suffered by most of CCed people, maybe you should open a new bug report for
> your issues as you are not having problems with glib-networking

Finally it turns out to be nvidia-driver related. I switched to the vesa driver, and it works ok. Next I tried to build with nvidia-drivers-260, this means to revert my xorg-server to 1.9.5... but I guess my problem is solved. 

I was damn sure I did already a test with 260, so I did not retry it. Now it works.
Comment 102 Pacho Ramos gentoo-dev 2011-07-14 17:31:57 UTC
What is the status of this one with fully updated systems and net-libs/libproxy-0.4.6-r3 ?
Comment 103 Eggert 2011-07-14 18:10:35 UTC
(In reply to comment #102)
> What is the status of this one with fully updated systems and
> net-libs/libproxy-0.4.6-r3 ?

As I noted, downgrading nvidia-drivers to 260.19.44
solved the problem for me. I have net-libs/libproxy 0.4.6-r3 and kde-base/kdelibs 4.6.5 installed.
Comment 104 Pacho Ramos gentoo-dev 2011-07-14 18:27:09 UTC
It was more directed to the rest of affected people as seems that you were suffering a different problem than then ;)
Comment 105 Reuben Martin 2011-07-28 04:35:38 UTC
KDE 4.7 : Same plot, different characters.

I had fixed the problem a few months back by disabling libproxy on glib-networking. Now that doesn't even help matters after upgrading to KDE 4.7.

The symptoms are different. A couple seconds after logging in everything goes black. The crazy thing is that the desktop is still running and functioning, but nothing is visible except Yakuake, and Conky. (If I do the "spine the cube" desktop switching via keyboard, I can see Conky on the invisible desktops spinning around) I can see the firefox browser, including window decorations, if I start it from the Yakuake terminal.

Unmerging glib-networking fixes the problem. kdm.log again has the messages in it about not being able to find the D-BUS session bus.
Comment 106 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-07-28 04:54:50 UTC
(In reply to comment #105)
> The symptoms are different. A couple seconds after logging in everything goes
> black. The crazy thing is that the desktop is still running and functioning,
> but nothing is visible except Yakuake, and Conky. (If I do the "spine the cube"
> desktop switching via keyboard, I can see Conky on the invisible desktops
> spinning around) I can see the firefox browser, including window decorations,
> if I start it from the Yakuake terminal.

Are you using nvidia-drivers? Have you updated them recently? If so, does downgrading them to whatever version you had earlier help?
Comment 107 Pacho Ramos gentoo-dev 2011-07-28 18:46:41 UTC
Due security problems we would need to stabilize this. We need then that people report their test results with the following setup:
net-libs/libproxy-0.4.6-r3
net-libs/glib-networking-2.28.7
net-libs/libsoup-2.34.3
net-libs/libsoup-gnome-2.34.3

Also be sure to be running versions older than x11-drivers/nvidia-drivers-275.19

If still failing, try building glib-networking with "gnome" USE flag enabled
Comment 108 Andrei Mihăilă 2011-08-09 11:18:47 UTC
KDE 4.7

Wasn't able to login using KDM. The error in /var/lib/kdm.log (shown when the daemon is started not with each login attempt) was:

klauncher(2472) kdemain: No DBUS session-bus found. Check if you have started the DBUS server. 
kdeinit4: Communication error with launcher. Exiting!
kdmgreet(2466)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "Not connected to D-Bus server" 

kdmgreet(2466)/kdecore (K*TimeZone*): No time zone information obtained from ktimezoned




Unmerging glib-networking did not help.

Was able to login in the console and do startx, in which case everything works as normal (on the first attempt the screen was black, with applications and even tooltips showing - most probably a plasma-desktop glitch, but on the second everything was normal).

So I downgraded to the previous kdm (4.6.5-r2) with which I was able to login. Maybe this helps anyone who really needs a working kdm until a solution is found.
Comment 109 Ciprian Ciubotariu 2011-08-15 10:31:05 UTC
(In reply to comment #108)
> KDE 4.7
> 
> Wasn't able to login using KDM. The error in /var/lib/kdm.log (shown when the
> daemon is started not with each login attempt) was:
> 
> klauncher(2472) kdemain: No DBUS session-bus found. Check if you have started
> the DBUS server. 
> kdeinit4: Communication error with launcher. Exiting!
> kdmgreet(2466)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize()
> D-Bus call failed:  "Not connected to D-Bus server" 
> 
> kdmgreet(2466)/kdecore (K*TimeZone*): No time zone information obtained from
> ktimezoned

I have the same error with kdm-4.6.5-r2, and a blank screen after kdm login into KDE. I've installed xfce (following the news I heard of Linus migrating to it) and it just works.

I've noticed with htop that kdeinit: [plasma-desktop] spins one of the cores at 100% forever, and if I kill it I start seeing other windows from my usual session appear over the blank screen.


> Unmerging glib-networking did not help.

Never had it installed.

> 
> Was able to login in the console and do startx, in which case everything works
> as normal (on the first attempt the screen was black, with applications and
> even tooltips showing - most probably a plasma-desktop glitch, but on the
> second everything was normal).
> 
> So I downgraded to the previous kdm (4.6.5-r2) with which I was able to login.
> Maybe this helps anyone who really needs a working kdm until a solution is
> found.
Comment 110 Ciprian Ciubotariu 2011-08-15 11:48:57 UTC
(In reply to comment #109)
> (In reply to comment #108)

So, finally I removed all settings from ~/.kde4 that regard plasma, and it booted just allright. It seemed to lock when I re-enabled my old widgets after the black slate. In this case the offending widget was Veromix, which caused plasma-desktop to lock. Disabling it made logins again possible (yay!)

Seems like the KDE devs decision to move all widgets to a single process bytes users again and again.
Comment 111 James L. Hammons 2011-08-15 19:51:17 UTC
I can confirm that glib-networking seems to be culprit, at least on my machine (~x86). After emerging net-libs/glib-networking-2.28.7 with -gnome +libproxy +ssl, my machine no longer takes 10 minutes to get to a usable desktop and I no longer see the error about polkit kde 1 (whatever it's called) crashing.

Before that point, I tried upgrading everything related to dbus, but none of those things solved the problem. Don't know why glib-networking is causing the problem, but there you go. :-P
Comment 112 Pacho Ramos gentoo-dev 2011-08-17 19:21:02 UTC
(In reply to comment #111)
> I can confirm that glib-networking seems to be culprit, at least on my machine
> (~x86). After emerging net-libs/glib-networking-2.28.7 with -gnome +libproxy
> +ssl, my machine no longer takes 10 minutes to get to a usable desktop and I no
> longer see the error about polkit kde 1 (whatever it's called) crashing.
> 

Then, is it solved after emerging that glib-networking version or because you changed some USE flags?

> Before that point, I tried upgrading everything related to dbus, but none of
> those things solved the problem. Don't know why glib-networking is causing the
> problem, but there you go. :-P
Comment 113 Pacho Ramos gentoo-dev 2011-08-27 21:58:22 UTC
(In reply to comment #112)
> (In reply to comment #111)
> > I can confirm that glib-networking seems to be culprit, at least on my machine
> > (~x86). After emerging net-libs/glib-networking-2.28.7 with -gnome +libproxy
> > +ssl, my machine no longer takes 10 minutes to get to a usable desktop and I no
> > longer see the error about polkit kde 1 (whatever it's called) crashing.
> > 
> 
> Then, is it solved after emerging that glib-networking version or because you
> changed some USE flags?
> 
> > Before that point, I tried upgrading everything related to dbus, but none of
> > those things solved the problem. Don't know why glib-networking is causing the
> > problem, but there you go. :-P

ping
Comment 114 Pacho Ramos gentoo-dev 2011-08-30 19:04:59 UTC
Reply please, this is urgent due security bug that is being blocked. Thanks
Comment 115 Andreas K. Hüttel gentoo-dev 2011-08-30 19:23:38 UTC
(In reply to comment #114)
> Reply please, this is urgent due security bug that is being blocked. Thanks

I have honestly lost track of all the different details... We've got our kde team meeting tomorrow (wed 31, 22:00 utc on #g-meetings), and I already put this on the agenda a few days ago. I hope we can gain some insight then. Pacho, feel free to join, I think nirbheek will be there as well because of networkmanager...
Comment 116 Pacho Ramos gentoo-dev 2011-08-30 19:59:36 UTC
Sadly will be nearly impossible to me to join tomorrow as I will go to Malta during the first September week and need to prepare some things :-/

In summary, we hope package set from comment #107 to solve most of issues, if they don't... :(
Comment 117 Andreas K. Hüttel gentoo-dev 2011-08-30 21:17:28 UTC
(In reply to comment #116)
> Sadly will be nearly impossible to me to join tomorrow as I will go to Malta
> during the first September week and need to prepare some things :-/
> 
> In summary, we hope package set from comment #107 to solve most of issues, if
> they don't... :(

Here's my summary of the \infty comments. I personally think you can go ahead, since from the moment when glib-networking-2.28.7 was the only version left in the tree there were no real duplicates anymore. Let's see what the others say tomorrow.

-------------

Tomasz Figa, Mark
polkit hangs after emerging glib-networking
USE: webkit 

Rafal Kupiec, Jouni Rinne, Maneesh Singh, Igor Poboiko, Reuben Martin, Ralph Gotzens
unmerging glib-networking (2.28.6.1?) helped

Philippe Valembois
fixed by setting -libproxy on glib-networking

dlm
no glib-networking nor libproxy
error message is a bit different

Benjamin Lee
one box works, one not
difference: xulrunner useflag on libproxy, in working case not set
both have webkit

Alex Ghoth
fixed by recompiling net-libs/libproxy-0.4.6-r2 with +xulrunner +webkit

divine460
fixed by libproxy -webkit

valvestater65
"same problem", but NO glib-networking
net-libs/libproxy-0.4.6 -networkmanager, -webkit, +xulrunner
maybe nvidia or something else?

Bob Raitz, Eggert
>>nvidia-drivers<< problem

Andrei Mihăilă, Ciprian Ciubotariu
different problemlems, related to kde-4.7 or plasma settings

James L. Hammons
After emerging net-libs/glib-networking-2.28.7 with -gnome +libproxy
+ssl, my machine no longer takes 10 minutes to get to a usable desktop and I no
longer see the error about polkit kde 1 (whatever it's called) crashing.
> seems like newer glib-networking helps!
Comment 118 Tomasz Figa 2011-08-30 21:25:25 UTC
Everything works correctly for me with glib-networking (gnome ssl -libproxy).
Comment 119 Andreas K. Hüttel gentoo-dev 2011-09-03 20:43:24 UTC
We discussed this at the kde team meeting and believe that the original issue is somehow fixed in the meantime. I'd recommend keeping the bug open for a bit more time so duplicates (if they occur) show up here, but it if stays as quiet as it is now, it can be resolved in a bit.
Comment 120 Andreas K. Hüttel gentoo-dev 2011-09-09 20:49:59 UTC
(In reply to comment #119)
> We discussed this at the kde team meeting and believe that the original issue
> is somehow fixed in the meantime. I'd recommend keeping the bug open for a bit
> more time so duplicates (if they occur) show up here, but it if stays as quiet
> as it is now, it can be resolved in a bit.

What a pleasant silence here. :D
Comment 121 Paul Gover 2011-09-10 11:47:17 UTC
> ... 
> What a pleasant silence here. :D

Sorry to join the discussion.  I've been suffering what appears to be this problem occasionally over the past month or two.  After my latest upgrade to KDE 4.6.5 it's come back and seems now to occur on every boot.  I don't have, and I think never had net-libs/glib-networking.  I'm using ATI video card with fglrx driver, so it ain't nvidia causing problems.  My system is mostly stable AMD64 Gentoo Linux KDE, and last emerge --update was about a week ago.

A work-around is usually to /etc/init.d/xdm restart from Ctrl+Alt+F1.

I had thought it was due to a vehicle maintenance tracker plasma widget, but I removed that some time ago.  Ditto, I thought it was that the session type wasn't set on the kdm logon panel, but that doesn't affect the behaviour now.  I also had a message in kdm.log that it couldn't write to /vat/tmp/kdecache-kdm, which was valid.  I think that occurred because I have a cron job to clear old junk from /var/tmp, and certainly kdecache-kdm wasn't there, and when I created it KDE started correctly.  However, it's there now, and I still can't start KDE reliably.

It seems to be a timing issue; on my first boot today, the initial kdm logon locked up after the last icon on the logon panel; after "xdm restart" logon worked OK.  Then I removed some cruft from ~/.kde4 and rebooted.  kdm logon locked up again.  I peered at various bits in /var/log to no avail (perhaps 5 mins), and when I went back to Ctrl+Alt+F7, I got a black screen with a mouse cursor, rather than the hung kdm panel, and after "xdm restart" kdm still hung; a third "xdm restart" worked.

Happy to undertake a bit of digging, but I've no idea where to start.
Comment 122 Pacho Ramos gentoo-dev 2011-09-10 14:09:26 UTC
I think your problem is not related with this glib/libsoup problem, I would ask at first for help in forums.gentoo.org and, if no solution, open a SEPARATE bug report
Comment 123 Paul Klos 2011-11-04 16:17:55 UTC
I switched my system running KDE 4.7.2 from local login to LDAP based authentication, and got exactly these symptoms.

The good news is that since yesterday's upgrade to KDE 4.7.3 everything seems to work with LDAP authentication.

So something must have been fixed in upstream KDE.
Comment 124 Thomas Kohler 2012-01-13 18:27:19 UTC
I'm using kde-4.7.3 and sometimes kde stops working in the moment after login and try to start seamonkey. This issue is present since circa 6 month.

(In reply to comment #121)
I'm also have a ATI video card.

> A work-around is usually to /etc/init.d/xdm restart from Ctrl+Alt+F1.
This also working for me.

> I also had a message in kdm.log that it couldn't write to
> /vat/tmp/kdecache-kdm, which was valid.  
The same here. The permissions were wrong. I have fixed this. Now:
drwxrwxrwt  4 root root  4096 13. Jan 17:39 tmp

Hope this helps.